<td class="label-cell"><label>{{label}}</label></td>
<td class="input-cell" [class.input-invalid]="ngControl.touched && ngControl.invalid">
  <input
    type="{{inputType}}"
    [formControl]="$any(ngControl.control)"
    placeholder="{{label}}"
  >
</td>
<div *ngIf="ngControl.control.errors?.required" class="invalid-feedback">Please enter a {{label}}</div>
<div *ngIf="ngControl.control.errors?.minlength" class="invalid-feedback">
  {{label}} must be at least {{ngControl.control.errors.minlength['requiredLength']}}
</div>
<div *ngIf="ngControl.control.errors?.email" class="invalid-feedback">
  {{label}} must be a valid email
</div>
<div *ngIf="ngControl.control.errors?.maxlength" class="invalid-feedback">
  {{label}} must be at most {{ngControl.control.errors.maxlength['requiredLength']}}
</div>

